/**
 * XServiceEventPerformer.java
 *
 * File generated from the medication::XServiceEventPerformer uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XServiceEventPerformer.
 *
 * 
 */

@XmlType(name = "XServiceEventPerformer")
@XmlEnum
@XmlRootElement(name = "XServiceEventPerformer")
public enum XServiceEventPerformer {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("PPRF")
	PPRF("PPRF"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF");
	
	private final String value;

    XServiceEventPerformer(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XServiceEventPerformer fromValue(String v) {
        for (XServiceEventPerformer c: XServiceEventPerformer.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}